# Uses of Class
java.io.ObjectStreamClass

Packages that use ObjectStreamClass
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of ObjectStreamClass in java.io

Methods in java.io that return ObjectStreamClass
Modifier and Type
Method
Description
`abstract ObjectStreamClass`
ObjectInputStream.GetField.`getObjectStreamClass()`
Get the ObjectStreamClass that describes the fields in the stream.
`static ObjectStreamClass`
ObjectStreamClass.`lookup(Class<?> cl)`
Find the descriptor for a class that can be serialized.
`static ObjectStreamClass`
ObjectStreamClass.`lookupAny(Class<?> cl)`
Returns the descriptor for any class, regardless of whether it implements `Serializable`.
`protected ObjectStreamClass`
ObjectInputStream.`readClassDescriptor()`
Read a class descriptor from the serialization stream.
Methods in java.io with parameters of type ObjectStreamClass
Modifier and Type
Method
Description
`protected Class<?>`
ObjectInputStream.`resolveClass(ObjectStreamClass desc)`
Load the local class equivalent of the specified stream class description.
`protected void`
ObjectOutputStream.`writeClassDescriptor(ObjectStreamClass desc)`
Write the specified class descriptor to the ObjectOutputStream.